# RandomLinesBackgroundDrawer Class Reference
[CAPTCHA's implementation]

Inheritance diagram for RandomLinesBackgroundDrawer:
[legend]

List of all members.

## Public Member Functions

| __construct ($count)
| draw ()

## Private Attributes

| $count = null

## Detailed Description

Definition at line 15 of file RandomLinesBackgroundDrawer.class.php.

## Constructor & Destructor Documentation

RandomLinesBackgroundDrawer::__construct | ( | $ | count | ) |

Definition at line 19 of file RandomLinesBackgroundDrawer.class.php.

References $count.

## Member Function Documentation

RandomLinesBackgroundDrawer::draw | ( |  | ) |

Returns:
  RandomLinesBackgroundDrawer

Reimplemented from BackgroundDrawer.

Definition at line 27 of file RandomLinesBackgroundDrawer.class.php.

References Drawer::getTuringImage(), and BackgroundDrawer::makeColor().

Here is the call graph for this function:

## Member Data Documentation

RandomLinesBackgroundDrawer::$count = null`[private]`

Definition at line 17 of file RandomLinesBackgroundDrawer.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/RandomLinesBackgroundDrawer.class.php